# How to Contribute

We'd love to accept your patches and contributions to this project. There are
just a few small guidelines you need to follow.

## Contributor License Agreement

Contributions to this project must be accompanied by a Contributor License
Agreement. You (or your employer) retain the copyright to your contribution,
this simply gives us permission to use and redistribute your contributions as
part of the project. Head over to <https://cla.developers.google.com/> to see
your current agreements on file or to sign a new one.

You generally only need to submit a CLA once, so if you've already submitted one
(even if it was for a different project), you probably don't need to do it
again.

## Code reviews

All submissions, including submissions by project members, require review. We
use GitHub pull requests for this purpose. Consult
[GitHub Help](https://help.github.com/articles/about-pull-requests/) for more
information on using pull requests.

We require unit tests for most code, instructions for running our unit test
suites are in the documentation.

## Content

Generally speaking, we are trying to keep this list to a small set of
high-quality, curated examples. If you want to add a new example, please
consult with us (in Github Issues) before creating a new example. We don't
want to see you go through all of the work of creating a new example and us not
being in a place to accept it.

We certainly invite you to create examples and post them on Github for others
to learn from. You can share your progress with others in community in Github
Issues.
